DRAT Order Details API

DRAT Order Details API provides the list of available Case Proceeding Details of Case History and Case Orders list that follwed by Case hearings.

API Details

Request URL

POST
https://api.g99.co.in/api/v1/courtxdrat/search/orderdetails
Copied!

Request Body Parameters

Type Name Optional Description
String benchId Required The unique identification number for bench. refer to DRAT Benches API.
String diaryNumber Required The unique identification diary number for case

Sample Request Payload

request.json
Copied!
{
  "benchId": "102"
  "diaryNumber": "1/2026",
}

Request Header Parameters

Type Name Value / Description Optional
String Content-Type application/json Required

Sample Code

request.php
Copied!
$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.g99.co.in/api/v1/courtxdrat/search/orderdetails',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_POSTFIELDS =>'{
  "benchId": "102"
  "diaryNumber": "1/2026",
}',
  CURLOPT_HTTPHEADER => array(
    'Content-Type: application/json'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;
request.py
Copied!
import requests
import json

url = "https://api.g99.co.in/api/v1/courtxdrat/search/orderdetails"

payload = json.dumps({
  "benchId": "102"
  "diaryNumber": "1/2026",
})
headers = {
  'Content-Type': 'application/json'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)
request.cs
Copied!
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://api.g99.co.in/api/v1/courtxdrat/search/orderdetails");
var content = new StringContent("{\r\n  \"benchId\": \"102\"\r\n,\"diaryNumber\": \"1/2026\"\r\n}", null, "application/json");
request.Content = content;
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());

Response

HTTP status code 200

Key Type Description
number String The unique identification number for case.
caseNumber String The unique identification case number for the case.
diaryNumber String The unique identification diary number for the case.
ordeDate String Bussiness date of the hearing.
petitionerName String Name of the Petitioner.
respondentName String Name of the Respondent.
pronouncedBy String Appearing Judge Name of that hearing Day.
orderType String Type of the Order.
attachId String Unique id for the Order to get PDF.

Sample Response

Sample response for valid document

response.json
Copied!
[
  {
    "number": "46488",
    "caseNumber": "MISC APPEAL/16/2026",
    "diaryNumber": "1/2026",
    "ordeDate": "28/1/2026",
    "petitionerName": "GOVINDANKUTTY E P AND 5 ORS",
    "respondentName": "THE SOUTH INDIAN BANK  LTD",
    "pronouncedBy": "Justice Shri G. CHANDRASEKHARAN",
    "orderType": "Daily order",
    "attachId": "nQQnzNbWdyaTZyakJJGOue7wxsxqg5W_FreDOMZEU2p_M0yk6aHvvxc7uYD6ql89W3Amv_cIQAzrxRW7BSEw1t7Ko1nf4mwTFvhWeQjG2cTlH_ZnY56uJt2i5E01uZcuMx-vGn2t8-8nUdS8LlciJ9fQlLPxg_80PZ8itZq-E9x_PbA2wDmK91Ko0"
  },
  {
    "number": "46419",
    "caseNumber": "MISC APPEAL/16/2026",
    "diaryNumber": "1/2026",
    "ordeDate": "23/1/2026",
    "petitionerName": "GOVINDANKUTTY E P AND 5 ORS",
    "respondentName": "THE SOUTH INDIAN BANK  LTD",
    "pronouncedBy": "Justice Shri G. CHANDRASEKHARAN",
    "orderType": "Daily order",
    "attachId": "LSf5nHmr3JUL1t8zQMJiHBN96dIHuZstz9XWfFovBXHSOCTJOZasEuV2XcSuMcOb5f7a_D2DHz9qhYE7vTJzIFcPEhNrNQpVGhtV4U9sdFL8c8njvdT7okDhoaRIk0H-jKn1JkI8SAKG_v5mAE-YTQ8NqhPeIEXPa4wxIOqhxnF9vOHdF93XR1RrxP0xHsD10"
  }
]

Error Response

Parameter Type Description
status Number Unique error codes for different errors. Always available.
message String Error message describing the error. Always Available.
error Boolean True / False for different errors. Always available.

Error Codes

HTTP Status Error Code Error Message
400 4001 Malformed data or missing required parameter values.
503 503 Document processing service is currently unavailable. Please try again later.

Sample Error Response

response.json
Copied!
{
  "message": "Document processing service is currently unavailable. Please try again later.",
  "status": 503,
  "error": True
}